List child tasks
curl --request GET \
--url https://melso.ai/api/tasks/{id}/children \
--header 'Authorization: Bearer <token>'import requests
url = "https://melso.ai/api/tasks/{id}/children"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://melso.ai/api/tasks/{id}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/tasks/{id}/children",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/tasks/{id}/children"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://melso.ai/api/tasks/{id}/children")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/tasks/{id}/children")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tasks": [
{
"execution": {
"version": "<string>",
"harness": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"worker_id": "<string>"
},
"id": "<string>",
"workspace_id": "<string>",
"number": 123,
"identifier": "<string>",
"title": "<string>",
"description": "<string>",
"status": "cancelled",
"delivered_at": "<string>",
"completed_at": "<string>",
"cancelled_at": "<string>",
"creator_type": "<string>",
"creator_id": "<string>",
"parent_task_id": "<string>",
"area_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"origin_type": "<string>",
"metadata": {},
"isolated": true,
"execution_identity_id": "<string>",
"participant_member_ids": [
"<string>"
],
"participant_harnesses": [
"<string>"
],
"has_pending_interaction": true,
"has_active_run": true,
"has_paused_run": true,
"attention_reason": "<string>",
"failure_reason": "<string>",
"failure_class": "<string>",
"unread": true,
"viewer_participated": true,
"pull_request": {
"number": 123,
"state": "<string>",
"html_url": "<string>",
"additions": 123,
"deletions": 123,
"changed_files": 123,
"checks_rollup": "<string>"
},
"attachments": [
{
"id": "<string>",
"workspace_id": "<string>",
"task_id": "<string>",
"message_id": "<string>",
"run_id": "<string>",
"uploader_type": "<string>",
"uploader_id": "<string>",
"filename": "<string>",
"url": "<string>",
"download_url": "<string>",
"markdown_url": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"created_at": "<string>",
"attachment_download_url": "<string>"
}
],
"run_id": "<string>"
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Tasks
List child tasks
Workspace member with access to this resource.
Request: Path: parent Task ID.
Response: {tasks:TaskResponse[]}.
Status: 200. Authentication and resource-access errors follow Overview.
GET
/
api
/
tasks
/
{id}
/
children
List child tasks
curl --request GET \
--url https://melso.ai/api/tasks/{id}/children \
--header 'Authorization: Bearer <token>'import requests
url = "https://melso.ai/api/tasks/{id}/children"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://melso.ai/api/tasks/{id}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/tasks/{id}/children",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/tasks/{id}/children"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://melso.ai/api/tasks/{id}/children")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/tasks/{id}/children")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"tasks": [
{
"execution": {
"version": "<string>",
"harness": "<string>",
"model": "<string>",
"thinking_level": "<string>",
"service_tier": "<string>",
"worker_id": "<string>"
},
"id": "<string>",
"workspace_id": "<string>",
"number": 123,
"identifier": "<string>",
"title": "<string>",
"description": "<string>",
"status": "cancelled",
"delivered_at": "<string>",
"completed_at": "<string>",
"cancelled_at": "<string>",
"creator_type": "<string>",
"creator_id": "<string>",
"parent_task_id": "<string>",
"area_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"origin_type": "<string>",
"metadata": {},
"isolated": true,
"execution_identity_id": "<string>",
"participant_member_ids": [
"<string>"
],
"participant_harnesses": [
"<string>"
],
"has_pending_interaction": true,
"has_active_run": true,
"has_paused_run": true,
"attention_reason": "<string>",
"failure_reason": "<string>",
"failure_class": "<string>",
"unread": true,
"viewer_participated": true,
"pull_request": {
"number": 123,
"state": "<string>",
"html_url": "<string>",
"additions": 123,
"deletions": 123,
"changed_files": 123,
"checks_rollup": "<string>"
},
"attachments": [
{
"id": "<string>",
"workspace_id": "<string>",
"task_id": "<string>",
"message_id": "<string>",
"run_id": "<string>",
"uploader_type": "<string>",
"uploader_id": "<string>",
"filename": "<string>",
"url": "<string>",
"download_url": "<string>",
"markdown_url": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"created_at": "<string>",
"attachment_download_url": "<string>"
}
],
"run_id": "<string>"
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Path Parameters
id from the corresponding authorized response.
Response
{tasks:TaskResponse[]}.
Show child attributes
Show child attributes